Get recurring resident charge by ID
https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the recurring resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /RecurringCharges |
6The external ID of the property from the integration vendor
| Method |
|---|
| GET /RecurringCharges |
9The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /RecurringCharges |
8The external ID of the charge code from the integration vendor
| Method |
|---|
| GET /RecurringCharges |
12The external ID of the financial account from the integration vendor
| Method |
|---|
| GET /RecurringCharges |
65The external ID of the lease from the integration vendor
| Method |
|---|
| GET /RecurringCharges |
7The total amount of the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
1276The raw value for amount from the PMS
| Method |
|---|
| GET /RecurringCharges |
$12.76Whether the recurring resident charge is active
This field will always be null for RENTMANAGER
nullDescription of the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
Garbage disposalThe reference number for the recurring resident charge
This field will always be null for RENTMANAGER
nullThe start date associated with the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
2025-01-01T00:00:00.000ZThe end date associated with the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
2026-01-01T00:00:00.000ZThe raw value of the frequency of the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
1The frequency of the recurring resident charge
| Method |
|---|
| GET /RecurringCharges |
Show 4 enum values
OTHERWEEKLYMONTHLYDAILYmonthlyThe due date associated with the recurring resident charge
This field will always be null for RENTMANAGER
nullcustom_data object | nullrequired
The Propexo unique identifier for the financial account
| Method |
|---|
| GET /RecurringCharges |
cmf4cxh4341377415607yroskx23troThe Propexo unique identifier for the lease
| Method |
|---|
| GET /RecurringCharges |
cmd681bu1000307l44lfne1f5:2:1:1The Propexo unique identifier for the charge code
| Method |
|---|
| GET /RecurringCharges |
cmd681bu1000307l44lfne1f5:na:2:12The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "6",
"x_property_id": "9",
"x_location_id": "8",
"x_charge_code_id": "12",
"x_financial_account_id": "65",
"x_lease_id": "7",
"amount_in_cents": 1276,
"amount_raw": "$12.76",
"is_active": null,
"description": "Garbage disposal",
"reference_number": null,
"start_date": "2025-01-01T00:00:00.000Z",
"end_date": "2026-01-01T00:00:00.000Z",
"frequency_raw": "1",
"frequency_normalized": "monthly",
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "cmf4cxh4341377415607yroskx23tro",
"lease_id": "cmd681bu1000307l44lfne1f5:2:1:1",
"charge_code_id": "cmd681bu1000307l44lfne1f5:na:2:12",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}